/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/ 
#include "kdcconfigdialog.h"

#include "../../kdcfilefactory.h"
#include "../../kdcconfig.h"

#include <KIcon>
#include <KLocale>

KDCConfigDialog::KDCConfigDialog( QWidget *parent )
	: KConfigDialog( parent, "settings", KDCConfig::self() )
{
	setWindowIcon( KDCFileFactory::appIcon() );

	p_gPage = new KDCGeneralConfigPage;
	addPage( p_gPage, i18n("General\nOptions"), "configure", i18n("General Options") );
	p_sPage = new KDCSubtitlesConfigPage;
	addPage( p_sPage, i18n("Subtitles"), "character-set" );
	p_avPage = new KDCAudioVideoConfigPage;
	addPage( p_avPage, i18n("Media"), "applications-multimedia", i18n("Audio and Video") ); 
	p_lPage = new KDCLookAndFeelConfigPage;
	addPage( p_lPage, i18n("Look and Feel"), "applications-graphics" );

	readConfig();
}

KDCConfigDialog::~KDCConfigDialog()
{
	delete p_sPage;
	delete p_gPage;
	delete p_avPage;
	delete p_lPage;
}

void KDCConfigDialog::readConfig()
{
	p_sPage->readConfig();
	p_gPage->readConfig();
	p_avPage->readConfig();
	p_lPage->readConfig();
}

void KDCConfigDialog::saveSettings()
{
	p_sPage->saveSettings();
	p_gPage->saveSettings();
	p_avPage->saveSettings();
	p_lPage->saveSettings();

	KDCConfig::self()->writeConfig();
}
