/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcsubtitlesconfigpage.h"

#include <QVBoxLayout>
#include <QHBoxLayout>

#include <KLocale>

KDCSubtitlesConfigPage::KDCSubtitlesConfigPage( QWidget * parent ) 
	: QWidget( parent )
{
	kcfg_Codec = new KDCEncodingComboBox;
	kcfg_Add = new QCheckBox( i18n("Automaticaly Add Subtitles") );
	kcfg_Size = new KIntSpinBox;
	kcfg_Size->setRange( 10, 40 );

	QHBoxLayout *hLayout_1 = new QHBoxLayout;
	hLayout_1->addWidget( new QLabel( i18n("Text Encoding:") ) );
	hLayout_1->addWidget( kcfg_Codec );

	QHBoxLayout *hLayout_2 = new QHBoxLayout;
	hLayout_2->addWidget( new QLabel( i18n("Text Size:") ) );
	hLayout_2->addWidget( kcfg_Size );

	QVBoxLayout *mainLayout = new QVBoxLayout;
	mainLayout->addLayout( hLayout_1 );
	mainLayout->addLayout( hLayout_2 );
	mainLayout->addWidget( kcfg_Add );
	mainLayout->addStretch();
	setLayout( mainLayout );
	
	readConfig();
}

KDCSubtitlesConfigPage::~KDCSubtitlesConfigPage()
{

}

void KDCSubtitlesConfigPage::readConfig()
{
	kcfg_Size->setValue( KDCConfig::size() );
	if ( KDCConfig::add() )
		kcfg_Add->setCheckState( Qt::Checked );
	else
		kcfg_Add->setCheckState( Qt::Unchecked );
	kcfg_Codec->setCurrentCodec( KDCConfig::codec() );
}

void KDCSubtitlesConfigPage::saveSettings()
{
	KDCConfig::setSize( kcfg_Size->value() );
	if ( kcfg_Add->checkState() == Qt::Unchecked )
		KDCConfig::setAdd( FALSE );
	else
		KDCConfig::setAdd( TRUE );
	KDCConfig::setCodec( kcfg_Codec->currentCodec() );
}
