/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcdialog.h"

#include "../kdcfilefactory.h"

#include <QLayout>
#include <QVBoxLayout>

#include <KPushButton>

KDCDialog::KDCDialog( QWidget * parent, Qt::WindowFlags f )
	: KDialog( parent, f )
{
	setWindowIcon( KDCFileFactory::appIcon() );
	p_close = TRUE;
	p_widget = NULL;

	button( KDialog::Ok )->hide();
	button( KDialog::Cancel )->hide();
}

KDCDialog::~KDCDialog()
{
	qDebug( "~KDCDialog" );
}

void KDCDialog::setMainWidget( QWidget *widget )
{
	if ( layout() )
		delete layout();
	QVBoxLayout *mainLayout = new QVBoxLayout( this );
	mainLayout->addWidget( widget );
	mainLayout->setSizeConstraint( QLayout::SetFixedSize );
	p_widget = widget;
}

void KDCDialog::setCloseEnabled( bool enabled )
{
	p_close = enabled;
}

bool KDCDialog::closeEnabled()
{
	return p_close;
}

QWidget* KDCDialog::mainWidget() const
{
	return p_widget;
}

void KDCDialog::closeEvent( QCloseEvent *event )
{
	if ( p_close )
	{
		event->accept();
		deleteLater();
	}
	else
		event->ignore();
}
