/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCAPPLYSUBTITLEJOB_H
#define KDCAPPLYSUBTITLEJOB_H

#include "../kdcnamespace.h"
#include "../kdcmovie.h"
#include "../kdcmoviegroup.h"
#include "kdcjob.h"

#include <QPointer>
#include <QTimerEvent>

#include <KProcess>

class QString;

class KDCApplySubtitleJob: public KDCJob  
{
Q_OBJECT
public:
	KDCApplySubtitleJob( int id, const KDCMovie *movie, QObject *parent = 0 );
	KDCApplySubtitleJob( int id, const KDCMovieGroup *group, QObject *parent = 0 );
	~KDCApplySubtitleJob();
	void start();
private slots:
	void on_readyReadStandardError();
	void on_finished( int , QProcess::ExitStatus );
protected:
	void timerEvent( QTimerEvent *event );
private:
	QPointer<KProcess> p_process;
	int p_id;
	int p_oldFrame;
	QString p_fileName;
	float p_const;
	const KDCMovie *p_movie;
	int p_timerID;
};
#endif
