/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCDECORATEFRAMEJOB_H
#define KDCDECORATEFRAMEJOB_H

#include "kdcjob.h"

#include <QPointer>

#include <KProcess>

class KDCDecorateFrameJob: public KDCJob
{
Q_OBJECT
public:
	KDCDecorateFrameJob(	const QString& workDir, const QString& inputFile,
												const QString& outputFile, QObject *parent = 0 );
	~KDCDecorateFrameJob();
	void start();
private slots:
	void on_finished( int , QProcess::ExitStatus );
	void on_readyReadStandardOutput();
private:
	QPointer<KProcess> p_process;
	QString p_inputFile;
	QString p_outputFile;
	QString p_workDir;
};
#endif
