/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCREADFILEINFOSUBJOB_H
#define KDCREADFILEINFOSUBJOB_H

#include "../kdcvideostreammetadata.h"
#include "../kdcaudiostreammetadata.h"
#include "kdcjob.h"

#include <QByteArray>
#include <QList>
#include <QPointer>

#include <KProcess>

class KDCReadFileInfoSubjob: public KDCJob
{
Q_OBJECT
public:
	enum Mode { Audio, AudioVideo };
	KDCReadFileInfoSubjob( QObject *parent = 0 );
	~KDCReadFileInfoSubjob();
	void start(); // don't execute this metod
	void start( KDCReadFileInfoSubjob::Mode mode, int id = 0 );
	KProcess* jobProcess() const;
signals:
	void foundAudioStreamID( const QList<int>& );
	void foundAudioStream( KDCAudioStreamMetaData * );
	void foundVideoStream( KDCVideoStreamMetaData * );
private slots:
	void on_readyReadStandardOutput();
	void on_finished( int exitCode, QProcess::ExitStatus exitStatus );
private:
	QByteArray p_data;
	QPointer<KProcess> p_process;
	KDCReadFileInfoSubjob::Mode p_mode;
	int p_id;
};
#endif
