/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCSTATICPREVIEWJOB_H
#define KDCSTATICPREVIEWJOB_H

#include "../kdcmovie.h"
#include "../kdcmoviegroup.h"
#include "kdcmplayerjob.h"
#include "../dialogs/kdcdialog.h"
#include "kdccompositejob.h"

#include <QString>
#include <QProgressBar>

#include <KTemporaryFile>

class KDCStaticPreviewJob: public KDCCompositeJob
{
Q_OBJECT
public:
	KDCStaticPreviewJob( const KDCMovie *movie, QObject *parent = 0 );
	KDCStaticPreviewJob( const KDCMovieGroup *group, QObject *parent = 0 );
	~KDCStaticPreviewJob();
	void start();
private slots:
	void on_jobProgress( int );
	void dialogClose();
	void slotStart();
	void on_mplayerJobFinished( KDCJob * );
	void on_mencoderJobFinished( KDCJob * );
private:
	double p_movieFps;
	int p_pos;
	KDCMPlayerJob *mJob;
	KDCDialog *p_dlg;
	QProgressBar *p_bar;
	KTemporaryFile *p_tempFile;

	void KDCStaticPreviewJobPrivate( const KDCMovie *movie );
};
#endif
