/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCCHAPTERGROUP_H
#define KDCCHAPTERGROUP_H

#include "kdcnamespace.h"

#include <QString>
#include <QList>
#include <QPointer>

class KDCMovie;
class KDCMovieGroup;

class KDCChapterGroup
{
public:
	KDCChapterGroup( KDCMovie *movie );
	KDCChapterGroup( KDCMovieGroup *movie );
	KDCChapterGroup( const KDCChapterGroup* group );
	~KDCChapterGroup();
	int count() const;
	void clear();
	void createFromLength( int delta );
	void createFromSize( int size );
	int chapter( int index );
	void sort();
	void add( int pos );
	void remove( int index );
	QString chapterAsString( int index, const QString& format = QString("hh:mm:ss") ) const;

	KDC::ViewMode viewMode() const;
	void setViewMode( KDC::ViewMode mode );
private:
	QPointer<KDCMovie> p_movie;
	QPointer<KDCMovieGroup> p_group;
	QList<int> p_data;
	KDC::ViewMode p_mode;
};
#endif
