/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCDVDDISC_H
#define KDCDVDDISC_H

#include "kdcdisc.h"
#include "kdcmovie.h"
#include "kdcvts.h"
#include "kdcvmgmenu.h"

#include <QMouseEvent>

class KDCDVDDisc : public KDCDisc
{
Q_OBJECT
public:
	KDCDVDDisc( int id, QWidget *parent = 0 );
	~KDCDVDDisc();

	void addMovie( KDCMovie *movie );
	void deleteMovie( KDCMovie *movie );
	QString name() const;

	KDCVTS* addVTS();
	void deleteVTS( QTreeWidgetItem *vts );
	KDCVTS* vts( QTreeWidgetItem *item ) const;
	int vtsCount() const;
	KDCVTS* vts( int id ) const;
	void refreshAllVTS();

	void insertMovieGroup( int index, KDCMovieGroup *group );
	void destroyMovieGroup( KDCMovieGroup *group );
	void removeMovieFromGroup( KDCMovie *movie );
	void deleteMovieGroup( KDCMovieGroup *group );
	void moveMovieToMovieGroup( KDCMovie *movie, KDCMovieGroup *group );

	QStringList checkErrors();

	void moveUp();
	void moveDown();
	void refresh();
public slots:
	void allMovieInSeparateVTS();
protected:
	QList<QUrl> codeItem( QTreeWidgetItem *item );
	virtual void mouseMoveEvent( QMouseEvent *event );
	bool dropMimeData( QTreeWidgetItem *parent, int index, const QMimeData *data, Qt::DropAction action );
	void addMoviePrivate( KDCMovie *movie );
};
#endif
