/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcsubtitlestreamgroup.h"

#include "kdcnamespace.h"
#include "kdcmovie.h"
#include "lib/kdclib.h"

KDCSubtitleStreamGroup::KDCSubtitleStreamGroup( KDCMovie *movie )
{
	p_movie = movie;
}

KDCSubtitleStreamGroup::KDCSubtitleStreamGroup( KDCSubtitleStreamGroup *stream )
{
	//TODO
}

KDCSubtitleStreamGroup::~KDCSubtitleStreamGroup()
{
	while ( !p_data.isEmpty() )
		delete p_data.takeFirst();
}

KDCMovie* KDCSubtitleStreamGroup::movie() const
{
	return p_movie;
}

KDCSubtitleStream* KDCSubtitleStreamGroup::stream( int index ) const
{
	if ( KDCLib::isInRange( index, 0, p_data.size() - 1 ) )
		return p_data.at( index );
	else
		return NULL;
}

void KDCSubtitleStreamGroup::addStream( KDCSubtitleStream *stream )
{
	p_data.append( stream );
}

KDCSubtitleStream* KDCSubtitleStreamGroup::removeStream( int index )
{
	KDCSubtitleStream *sub = p_data.takeAt( index );
	if ( sub->treeWidget() )
		sub->treeWidget()->invisibleRootItem()->removeChild( sub );
	return sub;
}

int KDCSubtitleStreamGroup::count() const
{
	return p_data.count();
}

void KDCSubtitleStreamGroup::clear()
{
	p_data.clear();
}

void KDCSubtitleStreamGroup::move( int from, int to )
{
	if ( from != to )
		p_data.swap( from, to );
}
