/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcaudiocodeccombobox.h"

#include "../../kdcdisc.h"

#include <QVariant>

KDCAudioCodecComboBox::KDCAudioCodecComboBox( const KDCMovie *movie, int id, QWidget *parent )
	: KComboBox( parent )
{
	if ( movie->disc()->discType() == KDC::DVD )
	{
		if( movie->videoFormat() == KDC::PAL )
			addItem( "MP2", KDC::MP2 );
		addItem( "AC3", KDC::AC3 );
	}
	else
		addItem( "MP2", KDC::MP2 );

	setCurrentIndex( findData( movie->audioStreamGroup()->stream( id )->codec() ) );
	connect( this, SIGNAL( currentIndexChanged( int ) ), this, SLOT( on_currentIndexChanged( int ) ) );
}

KDCAudioCodecComboBox::~KDCAudioCodecComboBox()
{

}

KDC::AudioCodec KDCAudioCodecComboBox::currentCodec()
{
	int var = itemData( currentIndex() ).toInt();
	if ( var == 1 )
		return KDC::MP2;
	else
		return KDC::AC3;
}

void KDCAudioCodecComboBox::on_currentIndexChanged( int )
{
	emit currentCodecChanged( currentCodec() );
}
