/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcmoviefpscombobox.h"

#include "../../kdcdisc.h"

#include <QVariant>

KDCMovieFpsComboBox::KDCMovieFpsComboBox( const KDCMovie *movie, QWidget *parent )
	: KComboBox( parent )
{
	if ( movie->videoFormat() == KDC::PAL )
		addItem( "25.000", 25.0 );
	else
		{
			if ( movie->disc()->discType() == KDC::DVD || movie->disc()->discType() == KDC::VCD )
				addItem( "23.976", 23.976 );
			addItem( "29.970", 29.970 );
		}
	setCurrentIndex( findData( movie->fps() ) );
	connect( this, SIGNAL( currentIndexChanged( int ) ), this, SLOT( on_currentIndexChanged( int ) ) );
}

KDCMovieFpsComboBox::~KDCMovieFpsComboBox()
{

}

void KDCMovieFpsComboBox::on_currentIndexChanged( int )
{
	emit currentFpsChanged( itemData( currentIndex() ).toDouble() );
}
