/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcfpscombobox.h"

#include <QString>
#include <QVariant>

KDCFpsComboBox::KDCFpsComboBox( double fps, QWidget *parent )
	: KComboBox( parent )
{
	addItem( "23.976", QVariant( 23.976 ) );
	addItem( "25.000", QVariant( 25.0 ) );
	addItem( "29.970", QVariant( 29.97 ) );
	addItem( "30.000", QVariant( 30.0 ) );
	setCurrentIndex( findData( QVariant( fps ) ) );
	connect( this, SIGNAL( currentIndexChanged( int ) ), this, SLOT( on_currentIndexChanged( int ) ) );
}

KDCFpsComboBox::~KDCFpsComboBox()
{
}

double KDCFpsComboBox::currentFps() const
{
	return itemData( currentIndex() ).toDouble();
}
void KDCFpsComboBox::setCurrentFps( const double fps )
{
	setCurrentIndex( findData( QVariant( fps ) ) );
}

void KDCFpsComboBox::addFps( double fps )
{
	addItem( QString::number( fps ), fps );
	setCurrentFps( fps );
}

void KDCFpsComboBox::on_currentIndexChanged( int val )
{
	emit currentFpsChanged( currentFps() );
}
