/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcinfostatusbar.h"

#include <QTimer>
#include <QHBoxLayout>

KDCInfoStatusBar::KDCInfoStatusBar( QWidget *parent )
	: QWidget( parent )
{
	p_caption = new KDCLabel;

	QHBoxLayout *hLayout = new QHBoxLayout( this );
	hLayout->addWidget( p_caption );
}

KDCInfoStatusBar::~KDCInfoStatusBar()
{
	delete p_caption;
}

void KDCInfoStatusBar::showMessage( const QString& text,  KDCInfoStatusBar::Mode mode )
{
	p_caption->setText( text );
	if ( mode ==  KDCInfoStatusBar::Error )
		p_caption->setCurrentMode( KDCLabel::INFO );
	QTimer::singleShot( 3000, this, SLOT( clearInfo() ) );
}

void KDCInfoStatusBar::clearInfo()
{
	p_caption->clear();
	p_caption->setCurrentMode( KDCLabel::NORMAL );
}
