/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCMAINWINDOWFRAME_H
#define KDCMAINWINDOWFRAME_H

#include "../kdcmovie.h"
#include "kdclabel.h"
#include "../kdcdiscfactory.h"
#include "kdcinfowidget.h"
#include "audiovideo/kdcaudiovideoeditor.h"
#include "quality/kdcqualityeditor.h"
#include "kdcmediaplayer.h"
#include "files/kdcfileeditor.h"
#include "kdcchaptereditor.h"

#include <QWidget>
#include <QSplitter>
#include <QStackedWidget>
#include <QButtonGroup>
#include <QTreeWidgetItem>
#include <QMap>

#include <KMultiTabBar>
#include <KMultiTabBarTab>

class KDCMainWindowFrame : public QWidget
{
Q_OBJECT
public:
	KDCMainWindowFrame( KDCDiscFactory *discFactory, QWidget *parent = 0 );
	~KDCMainWindowFrame();
	KDCDiscFactory* discFactory() const;
private slots:
	void on_infoButtonClicked( int );
	void on_settingsButtonClicked( int );
	void on_currentObjectChanged( QTreeWidgetItem * );
	void on_discChanged( KDCDisc * );
private:
	void cleanVStack();
	void cleanHStack();
private:
	QSplitter *p_vSplitter;
	QSplitter *p_hSplitter;
	KMultiTabBar *p_hTab;
	KMultiTabBar *p_vTab;
	QStackedWidget *p_vStack;
	QStackedWidget *p_hStack;
	QButtonGroup *p_hButtons;
	QButtonGroup *p_vButtons;

	KDCInfoWidget *p_infoWidget;
	KDCDiscFactory *p_discFactory;
	KDCMediaPlayer *p_mediaPlayer;

	KDCChapterEditor *p_chapterEditor;
	KDCAudioVideoEditor *p_avEditor;
	KDCFileEditor *p_fileEditor;
	KDCQualityEditor *p_qualityEditor;

	QMap<int, QWidget*> p_map;
	int p_vID;
};
#endif
