/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCMEDIAPLAYER_H
#define KDCMEDIAPLAYER_H

#include "../kdcmovie.h"
#include "../kdcmoviegroup.h"
#include "../jobs/kdcmplayerjob.h"
#include "kdcmplayerwidget.h"

#include <QWidget>
#include <QPointer>
#include <QList>

class QHideEvent;
class QShowEvent;

class KDCMediaPlayer : public QWidget
{
Q_OBJECT
public:
	KDCMediaPlayer( QWidget *parent = 0 );
	~KDCMediaPlayer();
	void setCurrentMovie( KDCMovie *movie );
	void setCurrentMovie( KDCMovieGroup *group );
	void clean();
	KDCMPlayerWidget* playerWidget() const;
private slots:
	void playCurrentMovie();
	void on_jobFinished( KDCJob * );
	void mplayerProgress( int );
	void seekChanged( int );
	void setPause();
protected:
	void hideEvent( QHideEvent *event );
	void showEvent( QShowEvent *event );
private:
	KDCMPlayerWidget *p_mainWidget;
	QPointer<KDCMPlayerJob> p_mJob;
	QPointer<KDCMovie> p_movie;
	QPointer<KDCMovieGroup> p_group;
	bool p_flag;
	bool p_isPlaying;

	QList<int> getAudioTracks( const KDCMovie *movie );
};
#endif
